# geos::operation::relate::RelateNode Class Reference

Represents a node in the topological graph used to compute spatial relationships. More...

`#include <RelateNode.h>`

List of all members.

## Public Member Functions

| RelateNode (const geom::Coordinate &coord, geomgraph::EdgeEndStar *edges)
void | updateIMFromEdges (geom::IntersectionMatrix *im)

## Protected Member Functions

void | computeIM (geom::IntersectionMatrix *im)

## Detailed Description

Represents a node in the topological graph used to compute spatial relationships.

The documentation for this class was generated from the following file:

- RelateNode.h